#
# IBM Confidential OCO Source Material
# 5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N01, 5733-W61 (C) COPYRIGHT International Business Machines Corp. 1997, 2007
# The source code for this program is not published or otherwise divested
# of its trade secrets, irrespective of what has been deposited with the
# U.S. Copyright Office.
#

import sys
def wsadminToList(inStr):
        outList=[]
        if (len(inStr)>0 and inStr[0]=='[' and inStr[-1]==']'):
                tmpList = inStr[1:-1].split(" ")
        else:
                tmpList = inStr.split("\n")  #splits for Windows or Linux
        for item in tmpList:
                item = item.rstrip();        #removes any Windows "\r"
                if (len(item)>0):
                        outList.append(item)
        return outList

#########################################
#
# Open security.xml 
#
#########################################

sec = AdminConfig.getid("/Cell:/Security:/" )

#########################################
#
# Locate systemLoginConfig 
#
#########################################

slc = AdminConfig.showAttribute(sec, "systemLoginConfig" )

#########################################
#
# Add WS-FEP system login configurations
#
#########################################

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.generate.x509"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.X509GenerateLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.generate.x509 has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.consume.x509"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.X509ConsumeLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.consume.x509 has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.generate.unt"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.UNTGenerateLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.generate.unt has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.consume.unt"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.UNTConsumeLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.consume.unt has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.generate.sct"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.SCTGenerateLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.generate.sct has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.consume.sct"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.SCTConsumeLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.consume.sct has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.caller"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.impl.auth.module.PreCallerLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.impl.auth.module.UNTCallerLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.impl.auth.module.X509CallerLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.impl.auth.module.LTPACallerLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.impl.auth.module.LTPAPropagationCallerLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.impl.auth.module.WSWSSLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.security.server.lm.ltpaLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.security.server.lm.wsMapDefaultInboundLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.caller has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.generate.pkcs7"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.PKCS7GenerateLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.generate.pkcs7 has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.consume.pkcs7"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.PKCS7ConsumeLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.consume.pkcs7 has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.generate.pkiPath"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.PkiPathGenerateLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.generate.pkiPath has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.consume.pkiPath"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.PkiPathConsumeLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.consume.pkiPath has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.generate.ltpa"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.LTPAGenerateLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.generate.ltpa has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.consume.ltpa"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.LTPAConsumeLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.consume.ltpa has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.generate.ltpaProp"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.LTPAPropagationGenerateLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.generate.ltpaProp has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.consume.ltpaProp"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.wssapi.token.impl.LTPAPropagationConsumeLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.consume.ltpaProp has been defined."


newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.inbound.propagation"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.security.server.lm.ltpaLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.security.server.lm.wsMapDefaultInboundLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.platform.websphere.wssapi.token.impl.wssTokenPropagationInboundLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.inbound.propagation has been defined."


newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.inbound.deserialize"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.platform.websphere.wssapi.token.impl.wssLtpaLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.platform.websphere.wssapi.token.impl.wssMapDefaultInboundLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.platform.websphere.wssapi.token.impl.wssTokenPropagationInboundLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.inbound.deserialize has been defined."

newJAASConfigurationEntryId = AdminConfig.create("JAASConfigurationEntry", slc, [["alias", "wss.auth.sts"]] )
newJAASLoginModuleId = AdminConfig.create("JAASLoginModule", newJAASConfigurationEntryId, [["moduleClassName", "com.ibm.ws.wssecurity.impl.auth.module.STSDefaultLoginModule"]] )
AdminConfig.modify(newJAASLoginModuleId, [["authenticationStrategy", "REQUIRED"]] )
print "systemLoginConfig alias=wss.auth.sts has been defined."


#########################################
#
# save the change
#
#########################################

AdminConfig.save( )

